devguard
PoliciesFrom templates

Create policies from the template catalogue.

POST
/policies/from-templates/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/policies/from-templates/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "templateIds": [      "string"    ],    "approverId": "string"  }'
[  {    "id": "string",    "title": "string",    "slug": "string",    "order": -9007199254740991,    "categoryId": "string",    "organizationId": "string",    "approverId": "string",    "status": "DRAFT",    "content": null,    "currentVersion": "string",    "lastApprovedAt": "string",    "lastApprovedBy": "string",    "reviewScheduleId": "string",    "lastReviewedAt": "string",    "nextReviewAt": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string"  }]

How is this guide?